summaryrefslogtreecommitdiff
path: root/repo/smartmontools/smartd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'repo/smartmontools/smartd.initd')
-rw-r--r--repo/smartmontools/smartd.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/repo/smartmontools/smartd.initd b/repo/smartmontools/smartd.initd
new file mode 100644
index 0000000..b117aa9
--- /dev/null
+++ b/repo/smartmontools/smartd.initd
@@ -0,0 +1,31 @@
+#!/sbin/openrc-run
+
+name=smartd
+description="Daemon to monitor the S.M.A.R.T. system built into storage devices"
+description_reload="Reload configuration without exiting"
+extra_started_commands="reload"
+
+: ${cfgfile:="/etc/smartd.conf"}
+
+command=/usr/sbin/smartd
+command_args="--configfile=$cfgfile --no-fork ${command_args:-$SMARTD_OPTS}"
+command_background="yes"
+pidfile="/run/$RC_SVCNAME.pid"
+
+required_files="$cfgfile"
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+reload() {
+ ebegin "Reloading $name configuration"
+
+ if [ "$supervisor" ]; then
+ $supervisor "$RC_SVCNAME" --signal HUP
+ else
+ start-stop-daemon --signal HUP --pidfile "$pidfile"
+ fi
+ eend $?
+}